Method: projects.locations.connections.gitRepositoryLinks.openPullRequest

在與 GitRepositoryLink 相關聯的遠端 SCM 存放區中,開啟提取要求。

HTTP 要求

POST https://developerconnect.googleapis.com/v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:openPullRequest

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
name

string

這是必要旗標,GitRepositoryLink 資源名稱,格式為 projects/*/locations/*/connections/*/gitRepositoryLinks/*。

要求主體

要求主體包含下列結構的資料:

JSON 表示法
{
  "pullRequest": {
    object (PullRequest)
  }
}
欄位
pullRequest

object (PullRequest)

這是必要旗標,要開啟的提取要求詳細資料。使用的輸入欄位:title、body、headRef、baseRef。

回應主體

如果成功,回應主體會包含 PullRequest 的執行個體。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform

詳情請參閱Authentication Overview。

IAM 權限

需要 name 資源的下列 IAM 權限:

  • developerconnect.gitRepositoryLinks.openPullRequest

詳情請參閱 IAM 說明文件。